Welcome

Welcome to Agilent U2300A Series Adaptor Help File. This Help File contains information on the Agilent U2300 Adaptor for users who are using MATLAB with the Agilent U2300A Series DAQ devices.

MATLAB is a well known software environment and programming language used by over 1,000,000 users for data acquisition, data analysis, application development, waveform generation, and test system development. MATLAB supports Agilent’s USB DAQ devices by using MATLAB with MATLAB Data Acquisition Toolbox. With the Agilent U2300A Series Adaptor available on the Agilent web site, users now can use the U2300A Series DAQ devices with MATLAB.

This Help File contains information on getting started using MATLAB, Data Acquisition Toolbox, and the Agilent U2300A Series Adaptor for MATLAB. Additional information on using your Agilent instruments with MATLAB, including downloadable MATLAB examples and demonstrations for Agilent DAQ devices, are available on The MathWorks resource page at http://www.mathworks.com/agilent/daq.

The following topics are covered in this Help File.

Getting Started with Agilent U2300A Series Adaptor

Using Help

Installation

Registration

Creating Device Object

Analog Input Properties

Analog Output Properties

Digital IO Properties

References

Contact Agilent Technologies

NOTES

  • Prior to using this Help File, take note of the numbering used with the channels. Channel numbering with the Agilent U2300A Adaptor starts with zero. Therefore, Channel 0 in MATLAB is referring to Agilent DAQ Channel 101, Channel 1 is referring to Channel 102, and so on.
  • The MathWorks offers another product called Simulink. Simulink is a platform for multidomain simulation and Model-Based Design for dynamic systems. The Agilent U2300A Adaptor can also be used with Simulink. Visit the Simulink data acquisition page for more information.

Help File v1.0
© Agilent Technologies, Inc. 2007


Getting Started

Prerequisites

Prior to using the Agilent U2300A Series DAQ device with MATLAB, ensure that your PC has the following software and utilities installed:

  • Agilent IO Libraries Suite 14.2 or higher
  • AgilentU235x IVI-COM Driver
  • MATLAB R2006a or higher
  • MATLAB Data Acquisition Toolbox 2.8.1 or higher
  • Agilent U2300A Series Adaptor (Click here to learn how to install the adaptor)

Click here for a free trial of MATLAB and Data Acquisition Toolbox.


Installation

Installation

Agilent DAQ Adaptor Note

Ensure that the IVI-COM driver and Agilent IO Libraries Suite version 14.2 or higher is installed before proceeding.

  1. Verify that your PC has all the prerequisites installed, as stated in Getting Started (Prerequisites), before proceeding.
  2. Close all other applications on your PC and insert the product reference CD-ROM into your CD-ROM drive.
  3. Click Driver on the Agilent U2300 Series Installation Menu, and the subbuttons will be listed, click MATLAB subbutton to begin the installation.
  4. If the installation menu does not appear, go to Start > Run (on the Windows start menu) and type <drive>:\Drivers\Matlab\setup.exe, where drive is your CD-ROM drive.
  5. Click OK to begin installation.
  6. Follow the instructions on your screen to proceed with the adaptor installation.
  7. Click Finish when the installation has completed.


Registration

Registration

The following registration instructions are only applicable when all prerequisites are met and the Agilent U2300A Series Adaptor is properly installed.

  1. The adaptor (AgilentU2300.dll) should be registered in MATLAB system using the daqregister command by providing the full path of the location where the dll file is installed. The following MATLAB response should be observed with the following daqregister command:

    2. >> daqregister('C:\Program Files\IVI\Drivers\AgMatlab\AgilentU2300.dll')

    ans =

    'AgilentU2300.dll' successfully registered.

  2. Once the adaptor has been successfully installed, the adaptor can be accessed with the name 'agilentu2300'. The adaptor's information can be displayed using the daqhwinfo command. The following MATLAB response should be observed with the following daqhwinfo command.

    3. >> daqhwinfo('agilentu2300')

    ans =

    AdaptorDllName: 'C:\Program Files\IVI\Drivers\AgMatlab\AgilentU2300.dll'

    AdaptorDllVersion: '1, 1, 0, 0'

    Adaptor Name: 'agilentu2300'

    BoardNames: {'U2356A' 'U2355A'}

    InstalledBoardIds: {'0' '1'}

    ObjectConstructorName: {2x3 cell}


Creating Device Object

Device objects are the toolbox components you use to access your hardware device. They provide a gateway to the functionality of your hardware and allow you to control the behavior for your data acquisition applications. Each device object is associated with a specific hardware subsystem.

Agilent DAQ Adaptor Example #1

Use 'daqhwinfo' command to determine the subsystems (AI, AO, DIO) supported for each device. The following sample code shows the device object supported by device with InstalledBoardId '0' ('U2356A'), which are analoginput('agilentu2300', 0), analogoutput('agilentu2300', 0), and digitalio('agilentu2300', 0).

>> out = daqhwinfo('agilentu2300')

out = AdaptorDllName: [1x86 char]

AdaptorDllVersion: '1, 1, 0, 0'

AdaptorName: 'agilentu2300'

BoardNames: {'U2356A' ' U2355A'}

InstalledBoardIds: {'0' '1'}

ObjectConstructorName: {2x3 cell}

>> out.ObjectconstructorName(:)

ans =

'analoginput('agilentu2300', 0)'

'analoginput('agilentu2300', 1)'

'analogoutput('agilentu2300', 0)'

'analogoutput('agilentu2300', 1)'

'digitalio('agilentu2300', 0)'

'digitalio('agilentu2300', 1)'

Agilent DAQ Adaptor Example #2

The following sample code shows that for each subsystem (AI, AO, DIO), the same device object cannot be created twice when the Agilent DAQ device is used. Follow the instructions provided to clear the existing device object from MATLAB memory before assigning the device object again.

>> ai = analoginput('agilentu2300', 0);

>> ai0 = analoginput('agilentu2300', 0);

??? Error using ==> analoginput.analoginput

Error using ==> analoginput.analoginput > localCreateAnalogInputObject

Agilent AI: Same device object cannot be created twice before free it. Use DAQFIND to retrieve and use DELETE to free the device object.

>> out = daqfind

Index: Subsystem: Name:

1 Analog Input agilentu2300-AI

>> delete(out(1));

>> ai0 = analoginput('agilentu2300', 0);

Additional information on MATLAB examples and demonstrations for the Agilent DAQ devices are available on The MathWorks resource page at http://www.mathworks.com/agilent/daq.

© 2007 Agilent Technologies. All rights reserved.


Getting Help

The Help viewer makes it easy for you to find information on the Agilent U2300A Series Adaptor subsystem properties.

The Contents, Index, and Search tabs helps you to navigate around the Help viewer. These tabs display helpful information that you can print or copy. Click a heading below for detailed information.

Find a Help topic

To find the information you want, use on of the three navigation options in the left pane of the Help viewer:

Contents tab

To browse the table of contents, click the Contents tab. Double-click the folder icons to reveal topic entries and sub-topics. Click an entry to display the corresponding topic.

Index tab

To see a list of index entries, click the Index tab. Type a word or scroll through the list. Topics are often indexed under more than one entry. Double-click an index entry to display the corresponding topic.

Search tab

To search for a word or phrase, click the Search tab. type the word or phrase and click List Topics. Double-click a search results entry to display corresponding topic.

Use link in Help topics

In a Help topic, you can click bolded words/links or Related Topics to see other information related to the topic.

To see the definition or descriptions of italic words/phrases/terms, click the word. Click on the italic words to toggle open/close of the definition box.

Move through Help topics you've seen

On the Help toolbar, click Back to display previously viewed Help topic.

Copy a Help topic

  1. In the Help viewer, right-click the topic you want to copy, and then select Select All.
  2. Inside the topic, right-click once again and select Copy. This copies the topic to the Clipboard.
  3. Open the document into which you want to paste the topic.
  4. Click on the place in your document where you want the information to appear. Go to Edit menu and click Paste.

NOTE

  • If only part of the topic you would like to copy, select the part you want to copy and right-click the selection, then click Copy.
  • Words that contain links to other topics and step numbers will not be copied to the Clipboard.

Print a Help topic

On the left pane, right-click the topic you would like to print, then select Print....


Help Viewer Overview

The Help viewer is the window you are looking at right now. It is used to provide Help that is specific to U2300A Series DAQ adaptor subsystem properties.

You can adjust the size of the Help viewer or hide the navigation pane if you need to place the Help viewer beside the application software you are running. You can jump to Home page directly. You can navigate back to pages according to your browsing history, stop loading pages, and refresh pages. You can also configure settings using Internet Options... as available in the Internet Explorer menu bar. All options are available in the Help File Options drop-down menu.

You can also change the fonts and colors displayed in the right pane of the viewer if you need to make the text larger or more readable.


Modifying the Help Viewer

Agilent U2300A Series Adaptor Help File
Using Agilent U2300A Series Data Acquisition Devices with MATLAB

Modifying Help Viewer

You can hide the left pane of the Help viewer, which is the navigation pane, to make the window smaller. You can also adjust the size of the window from any side or corner, and change the fonts and colors used in the Help window.

NOTE Changes you make to the Help viewer do not affect other Help viewers.

Hide or show the Help navigation pane

  • On the Help toolbar, click Hide to hide the navigation pane, which includes the Contents, Inded, and Search tabs.
  • On the Help toolbar, click Show to display the navigation pane.

Change the size of the Help window

  • To make the navigation or topic panes narrower or wider, move your mouse cursor and hover over the divider between the two panes. When the pointer changes to a double-headed arrow (↔), drag the divider left or right.
  • To proportionally shrink or enlarge the entire Help viewer, move your mouse cursor to any corner of the Help viewer. When the pointer changes to a double-headed arrow (↔), drag the corner of the Help viewer.
  • To change the entire Help viewer's height or width, move your mouse cursor to the top, bottom, left, or right edge of the Help viewer. When the pointer changes to a double headed arrow (↔), drag the side of the Help Viewer.

Change fonts in Help

  1. On the toolbar, go to Options > Internet Options....
  2. On the General tab, click Fonts....
  3. In the Fonts dialog box, select the options you prefer, and then click OK.
  4. On the General tab, click Accessibility....
  5. In the Formatting panel, select the check boxes for the options you prefer, then click OK.

Note

This procedure changes the fonts on the right pane of the Help Viewer and the Web pages in Internet Explorer.

Change colors in a Help window

  1. On the toolbar, go to Options > Internet Options....
  2. On the General tab, click Colors....
  3. In the Colors dialog box, select the Use Windows colors check box once to disable windows color.
  4. Click Text or Background and then select the color you prefer. Click OK when you finish.
  5. On the General tab, click Accessibility....
  6. In Formatting panel, select the Ignore colors specified on Web pages check box, and then click OK twice.

Note

This procedure changes the colors on the right pane of the Help Viewer and the Web pages in Internet Explorer.


Analog Input Properties

Analog Input (AI) subsystem converts acquired analog signals from sensors into bits that can be read by computers. AI subsystems are typically multichannel devices offering 12 or 16 bits of resolution. Data Acquisition Toolbox provides access to analog input devices through an analog input object. AI base properties are divided into two main categories: common properties and channel properties. Common properties apply to every channel contained by the analog input object, while channel properties can be configured for individual channels.

Following listed properties are AI common properties that will be covered in this section. The common properties are grouped into AI basic setup properties, AI trigger properties, AI hardware configuration properties, and AI general purpose properties pertaining to device-specific properties of Agilent DAQ AI subsystem.

Channel

InputType

SampleRate

SmaplesPerTrigger

TriggerChannel

TriggerCondition

TriggerConditionValue

DelayCount

TriggerRepeat

TriggerType

BurstMode

TriggerReaction

CardCageRole


AI - Channel

Analog Input Properties: Channel

Channel property contains the channels added to the device object.

Descriptions

For scanning hardware, the scan order follows the MATLAB index. Therefore, the hardware channel associated with index 1 is sampled first; the hardware channel associated with index 2 is sampled second, and so on. To change the scan order, you can specify a permutation of the indices with Channel.

Agilent DAQ Adaptor 'agilentu2300' HwChannel index is zero based.
Agilent DAQ Adaptor The maximum channel group is 100 items. Repeated channel assignment is allowed.

Sample: chan = addchannel(ai, [0 1 2 2 2 ]);

Agilent DAQ Adaptor SampleRate limit will be reduced to (max SampleRate)/(num of Channels) each time a new channel is added.

Characteristics

Usage | AI, AO, Common
Access | Read/Write
Data Type | Vector of channels
Read-only when running | Yes

Values

Values are automatically defined when channels are added to the device object with the addchannel function. the default value is an empty column vector.

See Also

Functions: addchannel, delete

Properties: SampleRate, Input Type, InputRange, HwChannel, Index


AI - InputType

Analog Input Properties: InputType

InputType property specifies the type of analog input signals of the hardware channel configuration.

Descriptions

If the channel from the upper half set of the analog input channels (example: HwChannel of '50' for model which support 64 analog input channels) has been added, error will be returned if user set InputType to Differential mode. This is because HwChannel of AI Channel added has exceeded the maximum differential channel allowed, users have to delete the excessive AI Channel before setting InputType to Differential mode again.

Characteristics

Usage | AI, Common
Access | Read/Write
Data Type | String
Read-only when running | Yes

Values

{SingleEnded} | Channels are configured for single-ended input.
NonRefSe | This channel configuration is used when the input signal has its own ground reference, which is tied to the negative input of the instrumenation amplifier.
Differential | Channels are configured for differential input.

Syntax

set(obj, 'InputType', '<Input type values>')

Sample

>> out = daqhwinfo(ai);

>> out.DifferentialIDs

ans = 0 1 2 3 4 5 6 7

>> chan = adddchannel(ai,0:14);

>> set(ai, 'inputtype', 'differential')

Notes

Agilent DAQ Adaptor If InputType is first set to Differential mode, error will be returned when user tries to add HwChannel beyond the upper half set of the channels.

Example

>> out = daqwinfo(ai);

>> out.DifferentialIDs

ans = 0 1 2 3 4 5 6 7

>> chan = addchannel(ai,0:14);

>> set(ai,'inputtype','differential')

??? Error using ==> daqdevice.set
Agilent AI: HWCHANNEL of AI Channel added exceed maximum differential channel allowed, delete the excessive AI Channel before setting INPUTTYPE to 'Differential'.

>> delete(ai.Channel(9:15));

>> set(ai, 'inputtype', 'differential')

See Also

Properties: Channel


AI - SampleRate

Analog Input Properties: SampleRate

SampleRate property specifies per-channel rate at which analog data is converted to digital data, or vice versa.

Descriptions

SampleRate specifies the per-channel rate (in samples/second) of an AI or AO subsystem converts data. AI subsystems convert analog data to digital data, while AO subsystems convert digital data to analog data.

AI and AO subsystems have a finite (though often large) number of valid sampling rates. If users specify a sampling rate that does not match one of the valid values, the data acquisition engine automatically selects the nearest available sampling rate.

To find out the range of sampling rates supported by your board, use the propinfo function. The actual sampling rate depends on the number of channels contained by the device. Therefore, SampleRate should be the last property you set before starting the device object.

Agilent DAQ Adaptor SampleRate limit will be reduced to (max SampleRate)/(num of Channels) each time a new channel is added.

Characteristics

Usage | AI, AO, Common
Access | Read/Write
Data Type | Double
Read-only when running | Yes

Values

The default value is obtained from the hardware driver.

Syntax

Set(obj, 'SampleRate', 1000)

Sample

ai = analoginput('agilentu2300', 0);

set(ai, 'SampleRate', 1000);

See Also

Functions: propinfo, setverify

Properties: Channel


AI - SamplesPerTrigger

Analog Input Properties: SamplesPerTrigger

SamplesPerTrigger property specifies the number of samples to acquire for each channel group member for each trigger that occurs.

Descriptions

SamplesPerTrigger specifies the number of samples to acquire for each channel group member for each trigger that occurs. If SamplesPerTrigger is set to Inf, then the analog input object continually acquires data until a stop function is issued or an error occurs.

Agilent DAQ Adaptor SamplesPerTrigger cannot exceed 4,000,000.

Agilent DAQ Adaptor For continous analog input mode (SamplesPerTrigger set to Inf)

• Pre and Middle of TriggerReaction property is not allowed

Characteristics

Usage | AI, Common
Access | Read/Write
Data Type | Long
Read-only when running | Yes

Values

The default value is set by the engine sch that one second of data is required.

Syntax

Set(obj, 'SamplesPerTrigger', 1000)

Sample

ai = analoginput('agilentu2300', 0);

set(ai, 'SamplesPerTrigger', 16000);

See Also

Functions: stop

Properties: DelayCount, TriggerReaction, SampleRate


AI - TriggerChannel

Analog Input Properties: TriggerChannel

TriggerChannel property specifies the channel serving as trigger source.

Descriptions

TriggerChannel specifies the channel serving as the trigger source. Users might need to configure the TriggerCondition and TriggerConditionValue properties in conjunction with TriggerChannel.

Agilent DAQ Adaptor For Agilent hardware, if TriggerType is ExAnalogChan, then TriggerChannel must be the first element of the channel group.

Characteristics

Usage | AI, Common
Access | Read/Write
Data Type | Vector of channels
Read-only when running | Yes

Values

The default value is an empty vector.

Syntax

Set(obj, 'TriggerChannel', chan_obj);

Sample

ai = analoginput('agilentu2300');

ch = addchannel(ai, 0);

set(ai,'TriggerChannel', ch);

See Also

Functions: TriggerType, TriggerCondition, TriggerConditionValue


AI - TriggerCondition

Analog Input Properties: TriggerCondition

TriggerCondition property specifies the condition that must be satisfied before trigger executes.

Descriptions

The available trigger conditions depend on the value of TriggerType. If TriggerType is Immediate, Manual, or Star, the only available TriggerCondition is None. Some TriggerType requires voltages values to be specified for the TriggerConditionValue property. Refer to TriggerType for more details.

Agilent DAQ Adaptor For Agilent hardware, if TriggerType is ExAnalogChan, then TriggerChannel must be the first element of the channel group.

Characteristics

Usage | AI, AO, Common
Access | Read/Write
Data Type | Vector of channels
Read-only when running | Yes

Values

For TriggerType set to ExAnalogChan or ExAnalogPin (TriggerConditionValue need to be set)

TriggerCondition | Description
AboveHighLevel | The trigger occurs when the analog signal is above the specified value.
{BelowLowLevel} | The trigger occurs when the analog signal is below specified value.
InsideRegion | The trigger occurs when the analog signal is inside the specified region.
LowHysteresis | The trigger occurs when the analog signal is less than the specified low value with hysteresis given by the specified high value.
HighHysteresis | The trigger occurs when the analog signal is greater than the specified high value with hysteresis given by the specified low value.

For TriggerType set to ExDigital

TriggerCondition | Description
{Positive} | The trigger occurs when the positive (rising) edge of a digital signal is detected.
Negative | The trigger occurs when the negative (falling) edge of a digital signal is detected.

Syntax

Set(obj, 'TriggerCondition', '<condition>')

Sample

ai = analoginput('agilentu2300', 0);

ch = addchannel(ai, 0);

set(ai, 'TriggerChannel', ch);

set(ai, 'TriggerType', ExAnalogChan);

set(ai, 'TriggerCondition', 'BelowLowLevel');

See Also

Properties: TriggerType, TriggerConditionValue, TriggerChannel


AI - TriggerConditionValue

Analog Input Properties: TriggerConditionValue

TriggerConditionValue property specifies the voltage value(s) that must be satisfied before trigger executes.

Descriptions

To execute ExAnalogChan or ExAnalogPin TriggerType, the values specified for TriggerCondition and TriggerConditionValue must be satisfied. The first value in the array corresponds to low threshold value while the second value corresponds to high threshold value.

Agilent DAQ Adaptor If ExAnalogChan is selected, then the upper and lower threshold of TriggerConditionValue will be limited by the InputRange of the first channel in the channel group.

Agilent DAQ Adaptor TriggerConditionValue low threshold cannot be equal to the high threshold.

Agilent DAQ Adaptor TriggerConditionValue must not be less than –10 or greater than 10.

Agilent DAQ Adaptor TriggerConditionValue high threshold must not be lower than the low threshold.

Agilent DAQ Adaptor TriggerConditionValue must be set in 1x2 vector of double, else error will occur.

Characteristics

Usage | AI, Common
Access | Read/Write
Data Type | Double
Read-only when running | Yes

Syntax

Set(obj, 'TriggerConditionValue', '<condition value >')

Sample

ai = analoginput('agilentu2300', 0);

ch = addchannel(ai, 0);

set(ai, 'TriggerChannel', ch);

set(ai, 'TriggerType', ExAnalogPin);

set(ai, 'TriggerCondition', 'BelowLowLevel');

set(ai, 'TriggerConditionValue', [1 5]);

See Also

Properties: TriggerType, TriggerReaction, ClockSource


AI - DelayCount

Analog Input Properties: DelayCount

DelayCount property specifies the delay value for data logging.

Descriptions

This trigger acquisition is used in applications if youw ant to delay the data collecting process after a specified trigger event. The delay time is controlled by the value, which is pre-loaded in the Delay_counter (31-bit: from 0 to 2147483647) The clock source is the Timebase clock. When the clock reachces zero, the counter stops and the board starts to acquire data. When the internal 48 MHz is set as Timebase clock, the delay time is in the range of 20.8 ns to 89.47 s.

Agilent DAQ Adaptor DelayCount can only be set after TriggerReaction has been set to Delay.

Characteristics

Usage | AI, AO, Common
Access | Read/Write
Data Type | Double
Read-only when running | Yes

Values

DelayCount = (time delay in seconds)(clock source)

If internal clock is selected, then clock source = 48 MHz

If the time delay (in seconds) desired is 3 ms

Then, DelayCount = (3E-3)(48E6) = 144, 000

Syntax

Set(obj, 'DelayCount', <delay value>)

Sample

ai = analoginput('agilentu2300', 0);

set(ai, 'TriggerType', 'immediate')

set(ai, 'TriggerReaction', 'delay')

set(ai, 'DelayCount', 5000)

See Also

Properties: TriggerType, TriggerReaction, ClockSource


AI - TriggerRepeat

Analog Input Properties: TriggerRepeat

TriggerRepeat property specifies the number of additional time trigger executes.

Descriptions

Agilent DAQ Adaptor TriggerRepeat is not supported by Agilent DAQ device. Attempt to set TriggerRepeat will return error.

Characteristics

Usage | AI, Common
Access | Read/Write
Data Type | Double
Read-only when running | Yes


AI - TriggerType

Analog Input Properties: TriggerType

TriggerType property specifies the type of trigger to be executed.

Descriptions

TriggerType can be Manual, Immediate, ExAnalogChan, ExAnalogPin, ExDigital, or Star. Some trigger types require trigger conditions and the values of the trigger condition. Trigger conditions are specified by the TriggerCondition property, while the values of trigger condition are specified using the TriggerConditionValue property.

Characteristics

Usage | AI, AO, Common
Access | Read/Write
Data Type | String
Read-only when running | Yes

Values

TriggerType | Description
{Immediate} | The trigger occurs immediately after the start function is issued.
Manual | The trigger occurs immediately after the trigger function is issued if ManualTriggerHwOn is set to trigger.
ExAnalogChan | Trigger source is the first channel in the AI channel group. Trigger occurs after the TriggerCondition and TriggerConditionValue are met.
ExAnalogPin | Trigger source is external analog pin. Trigger occurs after the TriggerCondition and TriggerConditionValue is met.
ExDigital | Trigger source is external digital trigger source. Trigger occurs after the TriggerCondition is met.
Star | Trigger source is clock source from cardcage star trigger. CardCageRole need to be set (there should only be one master assigned). This command will force all reference clock sources to synchronous serial interface (SSI). This command is only operational when used with Agilent U2781A USB Modular Instrument Chassis.

Following table shows the TriggerType effects on other properties:-

TriggerType | TriggerCondition | TriggerConditionValue | TriggerReaction
{Immediate} | [ {None} ] | Optional to set | [ {Post} | Delay ]
Manual | [ {None} ] | Optional to set | [ {Post} | Delay ]
ExAnalogChan | [ AboveHighLevel | {BelowHighLevel} | InsideRegion | LowHysteresis | HighHysteresis ] | Required to set | [ {Post} | Delay ]
ExAnalogPin | [ AboveHighLevel | {BelowLowLevel} | InsideRegion | LowHysteresis | HighHysteresis ] | Required to set | [ {Post} | Pre | Delay | Middle ]
ExDigital | [ {Positive} | Negative ] | Optional to set | [ {Post} | Pre | Delay | Middle ]
Star | [ {None} ] | Optional to set | [ {Post} | Pre | Delay | Middle ]

Syntax

Set(obj, 'TriggerType', '<trigger type>')

Sample

ai = analoginput('agilentu2300', 0);

set(ai, 'TriggerType', 'Immediate');

See Also

Functions: start, trigger

Properties: TriggerChannel, TriggerConditionValue, TriggerReaction, DelayCount, ManualTriggerHwOn, SamplesPerTrigger, CardCageRole


AI - BurstMode

Analog Input Properties: BurstMode

BurstMode property allows users to enable or disable the burst mode.

Descriptions

The DAQ device is equipped with burst mode. This mode enables the DAQ device to be simulated in simultaneous mode. It would cary out sampling measurement for the highest speed of the product capability. Figures below illustrate examples of burst mode.

Example

Sampling rate: 1 kSa/s

Number of sampling channels: three

Scan list sequence: 101, 102, 103

BurstMode OFF BurstMode ON

BurstMode ON BurstMode ON

ts = 1 / (max DAQ sampling rate)

Characteristics

Usage | AI, Common
Access | Read/Write
Data Type | String
Read-only when running | Yes

Values

BurstMode | Description
{Off} | To disable BurstMode
On | To enable BurstMode

Syntax

set(obj, 'BurstMode', '<burstmode value>')

Sample

ai = analoginput('agilentu2300', 0);

set(ai, 'BurstMode', 'on');


AI - TriggerReaction

Analog Input Properties: TriggerReaction

TriggerType property specifies the trigger reaction types.

Descriptions

There are four trigger types of trigger reaction, and they are pre-trigger, post-trigger, middle-trigger, and delay-trigger.

Following table shoes the different TriggerTypeReaction that is allowed for different TriggerType.

TriggerType | TriggerReaction
{Immediate} | [ {Post} | Delay ]
Manual | [ {Post} | Delay ]
ExAnalogChan | [ {Post} | Delay ]
ExAnalogPin | [ {Post} | Pre | Delay | Middle ]
ExDigital | [ {Post} | Pre | Delay | Middle ]
Star | [ {Post} | Pre | Delay | Middle ]

NOTE For continuous analog input and output mode, only POST and DELAY types are supported

Pre-Trigger

This trigger type is used when you wish to collect data before a trigger event. The analog-to-digital (A/D) conversion starts when you execute the specified function calls and stops when the trigger even occurs.

For example, if four sample points is specified, the analog trigger will only occurs after four sample points are converted. Refer to the following figure.

Post-Trigger

Post-trigger is the default value of trigger setting and is used in applications when you wish to collect data after a trigger event. As illustrated in the following figure, the sample point is set to two. Total of two sample points are taken after the trigger starts.

Middle-Trigger

The trigger type is used when you wish to collect data before and after a trigger event. The sample points of sampled data are equal before and after trigger. For example, if four sample points are specified, the conversion only begins after the trigger event occurs with two sample points before and two sample points after the trigger is taken. Refer to the following figure.

Delay-Trigger

This trigger acquisition is used in applications if you wish to delay the data collecting process after a specified trigger event. The dealy time is controlled by the value, which is pre-loaded in the Delay_counter (31-bit: from 0 to 2147483647). The clock source is the Timebas clock. When the count reaches zero, the counter stops and the board starts to acquire data. When the internal 48 MHz is set as Timebase clock, the delay time is in the range of 20.8 ns to 89.47 s.

Agilent DAQ Adaptor To use this trigger reaction, DelayCount is required to be set. DelayCount cannot be set before setting the TriggerReaction to Delay.

Characteristics

Usage | AI, Common
Access | Read/Write
Data Type | String
Read-only when running | Yes

Values

TriggerReaction | Description
{Post} | Post-Trigger
Pre | Pre-Trigger
Delay | Delay-Trigger
Middle | Middle-Trigger

Syntax

set(obj, 'TriggerReaction', '<triggerreaction value')

Sample

ai = analoginput('agilentu2300', 0);

set(ai, 'TriggerType', 'Immediate');

set(ai, 'TriggerReaction', 'Delay');

set(ai, 'DelayCount', 5000);

See Also

Properties: TriggerType, DelayCount


AI - CardcageRole

Analog Input Properties: CardCageRole

CardCageRole property allows configurations of the synchronization status—master, slave, or none—when used with the Agilent U2781A USB Modular Instrument Chassis.

Descriptions

Agilent DAQ Adaptor This command will force all referecen clock sources to synchronous serial interface (SSI).

Agilent DAQ Adaptor This command is only operational when used with U2781A USB modular instrument chassis.

Agilent DAQ Adaptor There should be only one master assigned.

Agilent DAQ Adaptor Changing CardCageRole of AO will reflect the change in CardCageRole of AI at START time.

Agilent DAQ Adaptor Default value of CardCageRole reflects the current setting of the hardware.

Characteristics

Usage | AI, AO, Common
Access | Read/Write
Data Type | String
Read-only when running | Yes

Values

CardCageRole | Description
{None} | None
Master | To function as SSI master triggering source.
Slave | To receive triggering source from master.

Syntax

Set(obj, 'CardCageRole', '<cardcage role>')

Sample

ai = analoginput('agilentu2300', 0);

set(ai, 'CardCageRole', 'Master');

See Also

Properties: TriggerType, DelayCount, TriggerReaction


Analog Output Properties

Analog Ouput Properties

Analog output (AO) subsystems convert digital data stored on your computer to a real-world analog signal. Typical plug-in acquisition boards offer two output channels with 12 bits of resolution, with special hardware available to support multiple channel analog output operations. Data Acquisition Toolbox provides access to analog output subsystems through an analog output object. In addition to the AO properties available in the Data Acquisition Toolbox, below listed are Agilent DAQ device-specific properties that enables you to configure for your application.

Following are the listed AO properties that will be covered in this section.

Channel

RepeatOutput

SampleRate

TriggerType

TriggerCondition

DelayCount

CardCageRole


AO - Channel

Analog Output Properties: Channel

Channel property contains hardware channels added to device object.

Descriptions

The analog data output order follows the MATLAB index. Therefore, the hardware channel associated with index 1 will output first; the hardware channel associated with index 2 will output second, and so on. To change the output order, you can specify a permutation of the indices with Channel.

Agilent DAQ Adaptor 'agilentu2300' HwChannel index is zero-based.
Agilent DAQ Adaptor The maximum element in channel group are two items. Repeated channel assignment is prohibited.

Characteristics

Usage | AI, AO, Common
Access | Read/Write
Data Type | Vector of channels
Read-only when running | Yes

See Also

Functions: addchannel, delete

Properties: SampleRate, OutputType, OutputRange, HwChannel, Index


AO - RepeatOutput

Analog Output Properties: RepeatOutput

RepeatOutput property specifies the number of additional times queued data is output.

Descriptions

To send data to an analog output subsystem, it must first be queued in the data acquisition engine with the putdata function. You can continously output previously queued data using RepeatOutput. Additional memory resources will not be consumed because RepeatOutput requeues the data. While the data is being output, you cannot add additional data to the queue.

Agilent DAQ Adaptor Multiple calls to putdata function is not supported by Agilent DAQ adaptor. Data cannot be queued after start function.
Agilent DAQ Adaptor Set RepeatOutput to –1 for continous data output.

Characteristics

Usage | AO, Common
Access | Read/Write
Data Type | Double
Read-only when running | Yes

Syntax

Set(obj,'RepeatOutput', <value>)

Sample

Continuously output data for 10 seconds:

Set(ao, 'RepeatOutput', 9)

See Also

Functions: putdata


AO - SampleRate

Analog Output Properties: SampleRate

SampleRate property specifies the per-channel rate of conversion of analog data to digital data, or vice versa.

Descriptions

SampleRate specifies the per-channel rate (in samples/second) of an analog input (AI) or analog output (AO) subsystem converts data. AI subsystems convert analog data to digital data, while AO subsystems convert digital data to analog data.

AI and AO subsystems have a finite (though often large) number of valid sampling rates. If you specify a sampling rate that does not match one of the valid values, the data acquisition engine automatically selects the nearest available sampling rate.

To find out the range of sampling rates supported by your board, use the propinfo function.

Characteristics

Usage | AI, AO, Common
Access | Read/Write
Data Type | Double
Read-only when running | Yes

Values

The default value is obtained from the hardware driver.

Syntax

Set(obj, 'SampleRate', <value>)

Sample

ao = analogoutput('agilentu2300', 0);

set(ao, 'SampleRate', 1000);

See Also

Functions: propinfo, setverify

Properties: Channel


AO - TriggerType

Analog Output Properties: TriggerType

TriggerType property specifies the type of trigger to be executed.

Descriptions

TriggerType can be Immediate, ExDigital or Star. Some trigger types require trigger conditions and trigger condition values. Trigger conditions are specified by the TriggerCondition property.

Characteristics

Usage | AI, AO, Common
Access | Read/Write
Data Type | String
Read-only when running | Yes

Values

TriggerType | Description
{Immediate} | The trigger occurs immediately after the start function is issued.
ExDigital | Trigger source is external digital trigger source. Trigger occurs after the TriggerCondition is met.
Star | Trigger source is clock source from cardcage star trigger. CardCageRole need to be set (there should only be one master assigned). This command will force all reference clock sources to synchronous serial interface (SSI). This command is only operational when used with Agilent U2781A USB Modular Instrument Chassis.

Syntax

Set(obj, 'TriggerType', '<trigger type>')

Sample

ao = analoginput('agilentu2300', 0);

set(ao, 'TriggerType', 'Immediate');

See Also

Functions: start, trigger

Properties: TriggerChannel, DelayCount, CardCageRole


AO - TriggerCondition

Analog Output Properties: TriggerCondition

TriggerCondition property specifies the condition that must be satisfied before tirgger executes.

Descriptions

The available trigger conditions depend on the value of TriggerType. If TriggerType is Immediate or Star, the only available TriggerCondition is None.

Characteristics

Usage | AI, AO, Common
Access | Read/Write
Data Type | String
Read-only when running | Yes

Values

TriggerCondition | Description
{Positive} | The trigger occurs when the positive (rising) edge of a digital signal is detected.
Negative | The trigger occurs when the negative (falling) edge of a digital signal is detected

Syntax

Set(obj, 'TriggerCondition', '<condition>')

Sample

ao = analogoutput('agilentu2300', 0);

set(ao, 'TriggerType', ExDigital);

set(ao, 'TriggerCondition', Negative);

See Also

Properties: TriggerType


AO - DelayCount

Analog Output Properties: DelayCount

DelayCount property specifies the delay value for data logging.

Descriptions

This trigger acquisition is used in applications if you wish to delay the data outputting process after a specified trigger event. The delay time is controlled by the value, which is pre-loaded in the Delay_counter (31-bit: from 0 to 2147483647). The clock source is the Timebase clock. When the count reaches zero, the counter stops and the board starts to acquire data. When the internal 48 MHz is set as timebase clock, the delay time is in the range of 20.8 ns to 89.47 s.

Characteristics

Usage | AI, AO, Common
Access | Read/Write
Data Type | Vector of channels
Read-only when running | Yes

Values

DelayCount = (time delay in seconds)(clock source)

If internal clock is selected, then clock source = 48 MHz

If the time delay (in seconds) desired is 3 ms

Then, DelayCount = (3E-3)(48E6) = 144, 000

Syntax

Set(obj, 'DelayCount', <delay value>)

Sample

ao = analogoutput('agilentu2300', 0);

set(ao, 'TriggerType', 'Immediate');

set(ao, 'DelayCount', 5000);

See Also

Properties: TriggerType, ClockSource


AO - CardCageRole

Analog Output Properties: CardCageRole

CardCageRole property allows configurations of synchronization status—master, slave, or none—when used with the Agilent U2781A USB Modular Instrument Chassis.

Descriptions

Agilent DAQ Adaptor This command will force all reference clock sources to synchronous serial interface (SSI).
Agilent DAQ Adaptor This command is only operational when used with U2781A USB modular instrument chassis.

Agilent DAQ Adaptor There should be only one master assigned.

Agilent DAQ Adaptor Changing CardCageRole of AO will reflect the change in CardCageRole of AI at START time.

Agilent DAQ Adaptor Default value of CardCageRole reflects the current setting of the hardware.

Characters

Usage | AI, AO, Common
Access | Read/Write
Data Type | String
Read-only when running | Yes

Values

CardCageRole | Description
{None} | None
Master | To function as SSI master triggering source.
Slave | To receive triggering source from master.

Syntax

Set(obj, 'CardCagerole', '<cardcage role>')

Sample

ao = analogoutput('agilentu2300', 0);

set(ao, 'CardCageRole', 'Master');

See Also

Properties: TriggerType, DelayCount


Digital IO Properties

Digital Input/Output (DIO) subsystems are designed to transfer digital values to and from hardware. These values are handled either as single bits or lines, or as a port, which typically consists of eight lines. While most popular data acquisition boards include some DIO capability, it is usually limited to simple operations and special dedicated hardware is required for performing advanced DIO operations. Data Acquisition Toolbox provides access to digital I/O subsystems through a digital I/O object.

The Agilent U2300A Series Adaptor, 'agilentu2300', supports MATLAB general DIO object properties. Click here to learn more about DIO and its properties by referring to the MATLAB Data Acquisition Toolbox User's Guide.


References

For updated information or references on Agilent U2300A data acquisition devices, refer to the following manuals by visiting http://www.agilent.com/find/u2300a.

  • Agilent U2300A Series USB Multifunction Data Acquisition User's Guide
  • Agilent U2300A Series USB Multifunction Data Acquisition Programming Guide

To learn more about MATLAB, visit:

http://www.mathworks.com/products/matlab

To learn more about Data Acquisition Toolbox, visit:

http://www.mathworks.com/products/daq

For examples of using Data Acquisition Toolbox with MATLAB or Simulink, visit:

www.mathworks.com/products/daq/demos.html

To read the online user documentation of Data Acquisition Toolbox, visit:

http://www.mathworks.com/access/helpdesk/help/toolbox/daq/daq.html

To receive a free trial of MATLAB and Data Acquisition Toolbox, visit:

http://www.mathworks.com/products/daq/tryit.html

Help File v1.0


Contact Agilent Technologies

Contact Agilent Technologies, Inc.

The complete contact list is available at: www.agilent.com/find/contactus

United States | 877 894 4414
Canada | 800 829 4444
Europe | 31 20 547 2111
Latin America | (305) 269 7500
China | (81) 426 56 7832
Japan | 800 810 0189
Korea | (080) 769 0800
Taiwan | 0800 047 866
Other Asia Pacific Countries | (65) 6375 8100

Or contact Agilent worldwide through the following Web link:

www.agilent.com /find/assist

MATLAB® and Simulink® are registered trademarks of The MathWorks, Inc.

Help File v1.0


All Rights Reserved

Welcome

Agilent Technologies may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Agilent Technologies, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2007 Agilent Technologies. All rights reserved.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.